/*
 * Copyright 2024 Luca Fulchir <luca.fulchir@runesauth.com>
 *
 * Licensed under the Apache License, Version 2.0 with LLVM exception (the
 * "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License and of the exception at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     https://spdx.org/licenses/LLVM-exception.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//!
//! Example of a simple repository of packages

// get the 'pkgs' from somewhere
use crate::repos::pkgs;

/* or you can create and export your own packages
pub mod pkgs {
    pub mod one {
        pub use crate::repos::pkgs::one::*;
    }
}
*/

use ::bok::repository;

///
/// Base repository with some packages
#[::bok::repository(::bok::RepositoryEmpty)]
#[::bok::repo_packages(pkgs::one::One)]
#[derive(::std::default::Default)]
pub struct R1 {
    r1: i32,
}

#[::bok::repo_impl]
impl R1 {}
